Bug 1411986

Summary: [RFE] extend kmodtool to provide kmod-headers
Product: [Fedora] Fedora Reporter: Pat Riehecky <riehecky>
Component: redhat-rpm-configAssignee: Florian Festi <ffesti>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: rawhideCC: ajb, csieh, dzickus, ffesti, jonathan, kwizart, misterbonnie, phil, pmatilai, praiskup, sergio, skozina, toracat
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-03-26 08:28:18 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Pat Riehecky 2017-01-10 22:43:15 UTC
Description of problem:
When building dependent kernel modules, it is helpful to have access to the headers for a given kmod.

Can kmodtool be extended to provide an additional optional package containing the module headers?

Version-Release number of selected component (if applicable):redhat-rpm-config-62-1.fc26


How reproducible:100%


Steps to Reproduce:
1.Build kmod (example FMC)
2.Try to build kmod that links to example kmod (WhiteRabbit)
3.Headers for example kmod are not packaged anywhere

Actual results:
Headers for kmod are not packaged anywhere


Expected results:
Headers for kmod are packaged

Additional info:

Comment 1 Don Zickus 2017-01-11 15:21:40 UTC
Adding Stanislav.

Cheers,
Don

Comment 2 Sergio Basto 2018-03-24 05:39:41 UTC
kmodtool [1] is not part of redhat-rpm-config package, have you choose the right component of bugzilla   ? 


[1]
rpm -qf /usr/bin/kmodtool -i
Name        : kmodtool
Version     : 1
Release     : 24.fc26
Architecture: noarch
Install Date: qua 18 out 2017 01:42:38 WEST
Group       : Unspecified
Size        : 13747
License     : MIT
Signature   : RSA/SHA256, ter 28 fev 2017 14:21:31 WET, Key ID 812a6b4b64dab85d
Source RPM  : kmodtool-1-24.fc26.src.rpm
Build Date  : ter 28 fev 2017 07:47:47 WET
Build Host  : buildvm-17.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://rpmfusion.org/Packaging/KernelModules/Kmods2
Summary     : Tool for building kmod packages
Description :
This package contains tools and list of recent kernels that get used when
building kmod-packages.

Comment 3 Nicolas Chauvet (kwizart) 2019-01-25 15:02:56 UTC
We have received a similar request on kmodtool. IMHO, having a given kmod to have a -devel (or header) sub-package is a wrong way of doing.
Instead, I would suggest to package FMC and WhiteRabbit all along, so WhiteRabbit can use the (appropriate version of the) header of FMC from the build directory (or the source directory if relevant) than from the install system.

Building kmod that way is dramatically more simple and robust. 
It will also fit appropriately with the build infra and not produce dependency hell when both kernel, kernel-devel, kmod-foo1-devel and kernel-bar2-devel doesn't exactly align. (not to mention kernel variant).

NVIDIA kmods (nvidia-drm, nvidia-uvm, nvidia-modeset) are packaged that way on the upstream NVIDIA CUDA repository. (using akmod-nvidia for Fedora).

Comment 4 Nicolas Chauvet (kwizart) 2019-03-26 08:28:18 UTC
Closing, as there is no answer back, so I consider there is a consensus.